apply from: "../lib_default_config.gradle"
apply plugin: 'dagger.hilt.android.plugin'

android {

    defaultConfig {
        //读取配置表的值
        boolean mIsReleaseUrl = rootProject.ext.isReleaseUrl
        //判断是正式环境还是测试环境
        if (mIsReleaseUrl) {
            String baseUrlRelese = rootProject.ext.baseUrl_relese
            buildConfigField 'String', 'Base_Url', "\"${baseUrlRelese}\""

        } else {
            String baseUrlDev = rootProject.ext.baseUrl_dev
            buildConfigField 'String', 'Base_Url', "\"${baseUrlDev}\""

        }

    }

    buildFeatures {
        dataBinding = true
        viewBinding = true
    }

}

dependencies {
    //底层
    api project(':cs_baselib')
}